DBAR(1)

NAME
dzen2-dbar - simple gadget that you can use in combination with dzen to display a progressbar.

SYNOPSIS

dzen2-dbar [-w characters] [-s symbol] [-min minvalue] [-max maxvalue] [-l string] [-nonl]

DESCRIPTION
dbar is an application that generates semi graphical progress meters, from some values you supply to it.

See the usage examples for a description of the expected input format.

OPTIONS
A summary of options is included below.

-max
    Value to be considered 100% (default: 100)

-min
    Value to be considered 0% (default: 0)

-w  Number of charcaters to be considered 100% in the bar (default: 25 )

-s  Symbol represeting the percentage value in the bar (default: = )

-l  label to be prepended to the bar (default: '' )

-nonl
    no new line, don't put ' at the end of the bar (default: do print ')

USAGE EXAMPLES

Static 0% and 100% mark or single value input:

    Command: echo 25 | dzen2-dbar -m 100 -l Sometext
    Output: Sometext 25% [====== ]

If your 100% mark changes dynamically or 2-values input:

    Command: echo "50 150" | dzen2-dbar
    Output: 33% [======== ]

If your value range is not between [0, maxval] or 3-values input:

    Command: echo "50 -25 150" | dzen2-dbar
    Output: 43% [=========== ]

AUTHOR
Dbar was written by Robert Manea.

This manual page was written by bertagaz <bertagaz@ptitcanardnoir.org>, for the Debian project (but may be used by others).

SEE ALSO
dzen2(1), dzen2-gcpubar(1), dzen2-gdbar(1), and dzen2-textwidth(1).